% Number of parking spaces
 totalSpaces = 10;

% Number of occupied spaces (you can change this value)
occupiedSpaces = 5;

% Create a vector representing parkingspaces
parkingSpaces = ones(1, totalSpaces);

% Mark occupied spaces as 
parkingSpaces(1:occupiedSpaces) = 0;

% Plot the parkingindicator
figure;
hold on;
% Plot occupied spaces in Red
plot(find(parkingSpaces == 0), zeros(1, occupiedSpaces), 'ro', 'MarkerSize', 10);

% Plot available spaces in Green
plot(find(parkingSpaces == 1), zeros(1, totalSpaces - occupiedSpaces), 'go', 'MarkerSize', 10);

% Customize the plot
title('Car Parking Indicator');
xlabel('Parking Spaces');
yticks([]);
legend('Occupied', 'Available');

% Set axis limits
xlim([0, totalSpaces + 1]);

% Display the parking
 hold off;
